/********************************************************************
 FileName:     	HardwareProfile - PIC18F26J50 Demo.h
 Dependencies:	See INCLUDES section
 Processor:	PIC18 USB Microcontrollers
 Hardware:	PIC18F26J50 Demo
 Compiler:  	Microchip C18
 Company:	Microchip Technology, Inc.

 쌠F\tgEGẤAMicrochipЂSoftware License Agreement
         ɏ܂BKAMicrochipЂAgreementemFĂB
         {RgȂǂ̒ǉ̒쌠́A҂ۗLA
         ҂̋𓾂ȂAŜшꕔ̓]ځEp֎~܂B

********************************************************************
 File Description:

 Change History:
  Rev   Date         Description
  1.0   2012/5/16   PIC18F26J50_DEMO Initial release
********************************************************************/

#ifndef HARDWARE_PROFILE_PIC18F26J50_DEMO_H
#define HARDWARE_PROFILE_PIC18F26J50_DEMO_H

    /*******************************************************************/
    /******** USB stack hardware selection options *********************/
    /*******************************************************************/
    //MCHPFSUSB framework𓮍삳邽߂ɕKvȒ`ɏW߂
    //  ܂BŒ߂`́Afirmware ɂǂ̂悤ȃ[hœ
    //  ̂AɕKvȏ񋟂܂B
    //ǂ̍ڂAȂ̖ړIƂAvP[VɕKvATdɌ
    //  AK؂ȕύXĂB

    //#define USE_SELF_POWER_SENSE_IO
    #define tris_self_power     TRISCbits.TRISC2    // Input
    #define self_power          1

    //#define USE_USB_BUS_SENSE_IO
    #define tris_usb_bus_sense  TRISCbits.TRISC2    // Input
    #define USB_BUS_SENSE       1 
 
    //HID Bootloader𗘗p HEX t@Co͂ɂ́Aȉ̍s 
    //  RgOĂB 
	#define PROGRAMMABLE_WITH_USB_HID_BOOTLOADER		

    /*******************************************************************/
    /******** MDD File System selection options ************************/
    /*******************************************************************/
    #define USE_PIC18

    #define USE_SD_INTERFACE_WITH_SPI

    #define TRIS_CARD_DETECT    TRISBbits.TRISB0    // Input
    #define CARD_DETECT         PORTBbits.RB0
    
//     #define TRIS_WRITE_DETECT   TRISDbits.TRISD7    // Input
//     #define WRITE_DETECT        PORTDbits.RD7
    #define TRIS_WRITE_DETECT   TRISBbits.TRISB0    // Input
    #define WRITE_DETECT        PORTBbits.RB0
 
    // Chip Select Signal
    #define SD_CS               PORTBbits.RB3
    #define SD_CS_TRIS          TRISBbits.TRISB3
        
    // Card detect signal
    #define SD_CD               PORTBbits.RB0
    #define SD_CD_TRIS          TRISBbits.TRISB0
        
    // Write protect signal
//     #define SD_WE               PORTDbits.RD7
//     #define SD_WE_TRIS          TRISDbits.TRISD7
     #define SD_WE               PORTBbits.RB0
     #define SD_WE_TRIS          TRISBbits.TRISB0

    // TRIS pins for the SCK/SDI/SDO lines
    #define SPICLOCK            TRISBbits.TRISB1
    #define SPIIN               TRISAbits.TRISA1
    #define SPIOUT              TRISAbits.TRISA5

    // Latch pins for SCK/SDI/SDO lines
    #define SPICLOCKLAT         LATBbits.LATB1
    #define SPIINLAT            LATAbits.LATA1
    #define SPIOUTLAT           LATAbits.LATA5

    // Port pins for SCK/SDI/SDO lines
    #define SPICLOCKPORT        PORTBbits.RB1
    #define SPIINPORT           PORTAbits.RA1
    #define SPIOUTPORT          PORTAbits.RA5

    // Registers for the SPI module you want to use
    #define SPICON1             SSP2CON1
    #define SPISTAT             SSP2STAT
    #define SPIBUF              SSP2BUF
    #define SPISTAT_RBF         SSP2STATbits.BF
    #define SPICON1bits         SSP2CON1bits
    #define SPISTATbits         SSP2STATbits

    #define SPI_INTERRUPT_FLAG  PIR3bits.SSP2IF 
    #define SPI_INTERRUPT_FLAG_ASM  PIR3, 7 
    #define SPIENABLE           SSP2CON1bits.SSPEN

    /*******************************************************************/
    /*******************************************************************/
    /*******************************************************************/
    /******** Application specific definitions *************************/
    /*******************************************************************/
    /*******************************************************************/
    /*******************************************************************/

    /** Board definition ***********************************************/
    //ɏĂ̒`́Amain()[`ɁAǂ̃{[hgp
    //  邩̂łB  ̒`ɂAgp{[h̓K؂
    //  configuration bits̐ݒA\ɂ܂B

    #define DEMO_BOARD PIC18F26J50_DEMO
    #define PIC18F26J50_DEMO
    #define CLOCK_FREQ 48000000
    #define GetSystemClock() CLOCK_FREQ   
    #define GetInstructionClock() GetSystemClock()

    /** LED ************************************************************/
#define mInitAllLEDs()      LATB &= 0x3F; TRISB &= 0x3F;

#define mLED_1              LATBbits.LATB6
#define mLED_2              LATBbits.LATB7
    #define mLED_3              
    #define mLED_4              
    
    #define mGetLED_1()         mLED_1
    #define mGetLED_2()         mLED_2
    #define mGetLED_3()         1
    #define mGetLED_4()         1

    #define mLED_1_On()         mLED_1 = 1;
    #define mLED_2_On()         mLED_2 = 1;
    #define mLED_3_On()         
    #define mLED_4_On()        
    
    #define mLED_1_Off()        mLED_1 = 0;
    #define mLED_2_Off()        mLED_2 = 0;
    #define mLED_3_Off()        
    #define mLED_4_Off()        
    
    #define mLED_1_Toggle()     mLED_1 = !mLED_1;
    #define mLED_2_Toggle()     mLED_2 = !mLED_2;
    #define mLED_3_Toggle()     
    #define mLED_4_Toggle() 
    
    /** SWITCH *********************************************************/
    #define mInitSwitch2()      TRISBbits.TRISB2=1;
    #define mInitSwitch3()      mInitSwitch2();
    #define mInitAllSwitches()  mInitSwitch2();
    #define sw2                 PORTBbits.RB2
    #define sw3                 PORTBbits.RB2

    /** POT ************************************************************/
    #define mInitPOT()          {TRISAbits.TRISA0=1;			\
    							 ANCON0bits.PCFG0 = 0;			\
    							 ADCON0=0x01;					\
    							 ADCON1=0x9E;}		// POT on HPC Explorer

    /** I/O pin definitions ********************************************/
    #define INPUT_PIN 1
    #define OUTPUT_PIN 0

#endif  //HARDWARE_PROFILE_PIC18F26J50_DEMO_H
